Package org.drinkless.tdlib

# Class TdApi.WebAppOpenParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.WebAppOpenParameters

Enclosing class:
  `TdApi`

public static class TdApi.WebAppOpenParameters extends TdApi.Object
Options to be used when a Web App is opened.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `applicationName`
  Short name of the current application; 0-64 English letters, digits, and underscores.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.WebAppOpenMode`
  `mode`
  The mode in which the Web App is opened; pass null to open in webAppOpenModeFullSize.
  `TdApi.ThemeParameters`
  `theme`
  Preferred Web App theme; pass null to use the default theme.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebAppOpenParameters()`
  Options to be used when a Web App is opened.
  `WebAppOpenParameters(TdApi.ThemeParameters theme, String applicationName, TdApi.WebAppOpenMode mode)`
  Options to be used when a Web App is opened.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### theme

    public TdApi.ThemeParameters theme
    Preferred Web App theme; pass null to use the default theme.

  - ### applicationName

    public String applicationName
    Short name of the current application; 0-64 English letters, digits, and underscores.

  - ### mode

    public TdApi.WebAppOpenMode mode
    The mode in which the Web App is opened; pass null to open in webAppOpenModeFullSize.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WebAppOpenParameters

    public WebAppOpenParameters()
    Options to be used when a Web App is opened.

  - ### WebAppOpenParameters

    public WebAppOpenParameters(TdApi.ThemeParameters theme, String applicationName, TdApi.WebAppOpenMode mode)
    Options to be used when a Web App is opened.
    Parameters:
      `theme` - Preferred Web App theme; pass null to use the default theme.
      `applicationName` - Short name of the current application; 0-64 English letters, digits, and underscores.
      `mode` - The mode in which the Web App is opened; pass null to open in webAppOpenModeFullSize.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR